NE_ADD_REQUEST_HEADE(3)

NAME
ne_add_request_header, ne_print_request_header - add headers to a request

SYNOPSIS

#include <ne_request.h>

void ne_add_request_header(ne_request *request, const char *name, const char *value);

void ne_print_request_header(ne_request *request, const char *name, const char *format, ...);

DESCRIPTION

The functions ne_add_request_header and ne_print_request_header can be used to add headers to a request, before it is sent.

ne_add_request_header simply adds a header of given name, with given value.

ne_print_request_header adds a header of given name, taking the value from the printf-like format string parameter and subsequent variable-length argument list.

SEE ALSO

ne_request_create

AUTHOR

Joe Orton <neon@lists.manyfish.co.uk>

    Author.

COPYRIGHT